summaryrefslogtreecommitdiff
path: root/tests/modules
diff options
context:
space:
mode:
authormartin <martin@NetBSD.org>2018-01-09 15:16:02 +0000
committermartin <martin@NetBSD.org>2018-01-09 15:16:02 +0000
commit1f916c806209cdb53c96ad826c660f7d5cf9d2fc (patch)
tree1fcdbd6d2e9cb808da9e500c7bbdc77345b5722e /tests/modules
parent4b812e3519fd4d02d776e7c0158b8693e1cc324b (diff)
Skip the test on non-modular kernels
Diffstat (limited to 'tests/modules')
-rw-r--r--tests/modules/t_klua_pr_52864.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/modules/t_klua_pr_52864.sh b/tests/modules/t_klua_pr_52864.sh
index bd407fdb042..1bd95943c83 100644
--- a/tests/modules/t_klua_pr_52864.sh
+++ b/tests/modules/t_klua_pr_52864.sh
@@ -1,5 +1,5 @@
#! /usr/bin/atf-sh
-# $NetBSD: t_klua_pr_52864.sh,v 1.1 2018/01/08 14:17:15 martin Exp $
+# $NetBSD: t_klua_pr_52864.sh,v 1.2 2018/01/09 15:16:02 martin Exp $
#
# Copyright (c) 2018 The NetBSD Foundation, Inc.
# All rights reserved.
@@ -38,9 +38,13 @@ luastate_head() {
}
luastate_body() {
+ err=$( modstat -e 2>&1 )
+ if [ $? -gt 0 ]; then
+ atf_skip "${err##modstat:}"
+ fi
sysctl -q kern.lua.verbose
if [ $? -eq 1 ]; then
- atf_check -s eq:0 modload lua
+ atf_check -s eq:0 modload lua
fi
atf_check -s eq:0 luactl -q create atfluastate
atf_check -s eq:0 -o ignore luactl